IDDLOntologyNetwork (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl
Class IDDLOntologyNetwork

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicOntologyNetwork
          fr.inrialpes.exmo.align.impl.IDDLOntologyNetwork

All Implemented Interfaces:
  Cloneable, LogicOntologyNetwork, OntologyNetwork

    public class IDDLOntologyNetwork

extends BasicOntologyNetwork
implements LogicOntologyNetwork

Represents a distributed system of aligned ontologies or network of ontologies.

Version:
  $Id: BasicOntologyNetwork.java 987 2009-05-27 13:48:33Z euzenat $
Author:
  Jérôme Euzenat

Field Summary
`(package private) fr.inrialpes.exmo.iddl.IDDLReasoner` | `reasoner`
`(package private) String` | `semantics`

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicOntologyNetwork
`alignments, ontologies`

Constructor Summary
`IDDLOntologyNetwork()`

Method Summary
`String` | `getSemantics()`
`protected void` | `init()`
`boolean` | `isConsistent()`
`boolean` | `isEntailed(Alignment al)`
`void` | `setSemantics(String s)`

Methods inherited from class fr.inrialpes.exmo.align.impl.BasicOntologyNetwork
`addAlignment, addOntology, getAlignments, getOntologies, getSourceAlignments, getTargetingAlignments, invert, remAlignment, remOntology`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.align.OntologyNetwork
`addAlignment, addOntology, getAlignments, getOntologies, getSourceAlignments, getTargetingAlignments, invert, remAlignment, remOntology`

Field Detail

### reasoner

    fr.inrialpes.exmo.iddl.IDDLReasoner reasoner

### semantics

    String semantics

Constructor Detail

### IDDLOntologyNetwork

    public IDDLOntologyNetwork()

Method Detail

### init

    protected void init()

### setSemantics

    public void setSemantics(String s)

  Specified by:
    `setSemantics` in interface `LogicOntologyNetwork`

### getSemantics

    public String getSemantics()

  Specified by:
    `getSemantics` in interface `LogicOntologyNetwork`

### isConsistent

    public boolean isConsistent()

  Specified by:
    `isConsistent` in interface `LogicOntologyNetwork`

### isEntailed

    public boolean isEntailed(Alignment al)

  Specified by:
    `isEntailed` in interface `LogicOntologyNetwork`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010